Bug 988725 - nodejs app restarts during deployment with added hot_deploy marker
nodejs app restarts during deployment with added hot_deploy marker
Status: CLOSED NOTABUG
Product: OpenShift Origin
Classification: Red Hat
Component: Pod (Show other bugs)
1.x
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Abhishek Gupta
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-26 04:57 EDT by Oleg Fayans
Modified: 2016-11-30 19:27 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-29 03:23:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Oleg Fayans 2013-07-26 04:57:38 EDT
Description of problem:

nodejs app restarts with added hot_deploy marker. 

Version-Release number of selected component (if applicable):


How reproducible:

Always


Steps to Reproduce:
1. Create a nodejs-0.6 app
2. touch .openshift/markers/hot_deploy
3. modify index.html
4. git add . && git commit -am "modified" && git push


Actual results:

App restarted, pid of the node process changed.
Expected results:
App is not restarted, pid is the same

Additional info:
reproduced on a devenv instance, ami-id: ami-2b136842
Comment 1 Oleg Fayans 2013-07-26 09:46:53 EDT
Reproduced on devenv-stage_424

Note You need to log in before you can comment on or make changes to this bug.